Name: lockdev
Version: 1.0.1
Release: alt3

%define sover 1
%def_disable static

Summary: A library and a command-line tool for locking devices
License: LGPL
Group: System/Libraries

Url: http://packages.debian.org/unstable/libs/liblockdev1.html
Source: http://ftp.debian.org/debian/pool/main/l/lockdev/lockdev_%version.orig.tar.gz

Patch0: %name-1.0.0-rh-baudboy.patch
Patch1: %name-1.0.0-rh-signal.patch
Patch2: %name-1.0.0-alt-serial.patch
Patch3: %name-1.0.0-rh-cli.patch
Patch4: %name-1.0.1-rh-checkname.patch
Patch5: %name-1.0.1-alt-warnings.patch
Patch6: %name-1.0.1-rh-pidexists.patch
Patch7: %name-1.0.1-rh-subdir.patch

Requires: lib%name = %version-%release
Requires: /var/lock/serial

# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: perl-devel

%description
The %name library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package -n lib%name
Summary: A library for locking devices
Group: System/Libraries

%description -n lib%name
The %name library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package -n lib%name-devel
Summary: Header files for the %name library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The %name library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package -n lib%name-devel-static
Summary: Static %name library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
The %name library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%package perl
Summary: Perl interface for the %name library
Group: Development/Perl
Requires: lib%name = %version-%release

%description perl
The %name library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
export LD_LIBRARY_PATH=$PWD
CFLAGS="%optflags -D_GNU_SOURCE -D_REENTRANT -I$PWD/src -Werror"
LDFLAGS="-L$PWD -l%name"

: shared library
gcc $CFLAGS %optflags_shared src/%name.c -shared -Wl,-soname=lib%name.so.%sover -o lib%name.so.%sover
%__ln_s lib%name.so.%sover lib%name.so

%if_enabled static
: static library
gcc $CFLAGS -c src/%name.c -o src/%name-a.o
ar rcu lib%name.a src/%name-a.o
ranlib lib%name.a
%endif

: binary
gcc $CFLAGS src/sample.c -o %name $LDFLAGS

: perl library
cd LockDev
%perl_vendor_build MYEXTLIB="$LDFLAGS"

%install
%__mkdir_p %buildroot%_libdir/
%__cp -av lib%name.so* %buildroot%_libdir/

%if_enabled static
%__cp -av lib%name.a %buildroot%_libdir/
%endif

%__mkdir_p %buildroot%_sbindir/
%__cp -av %name %buildroot%_sbindir/

%__mkdir_p %buildroot%_includedir/
%__cp -av src/*.h %buildroot%_includedir/

%__mkdir_p %buildroot%_man3dir/
%__cp -av docs/%name.3 %buildroot%_man3dir/

cd LockDev
%perl_vendor_install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%attr(2711,root,uucp) %_sbindir/%name

%files perl
%perl_vendor_archlib/LockDev*
%perl_vendor_autolib/LockDev*

%files -n lib%name
%_libdir/lib%name.so.%sover

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/*.h
%_man3dir/%name.*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a
%endif

%changelog
* Fri Mar 04 2005 Alexey Tourbin <at@altlinux.ru> 1.0.1-alt3
- rh-pidexists.patch: fix kill/EPERM behaviour (don't unlock files
  when device is locked by process with different UID)
- rh-subdir.patch: fix errs on /dev/input/ttyACM0 (3-component pathname)
- conditionally packaged lib%name-devel-static 
- perl LockDev(3) manpage not packaged (use perldoc)

* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1.0.1-alt2
- eliminated text relocations in shared library
- warnings fixed, built with -Werror

* Thu Oct 30 2003 Alexey Tourbin <at@altlinux.ru> 1.0.1-alt1
- 1.0.1
- cli.patch and checkname.patch from RH
- abandon makefiles, custom build with direct commands
- %name-perl packaged, lib%name-devel-static not packaged

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.0-alt1
- First build for Sisyphus

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Jeff Johnson <jbj@redhat.com> 1.0.0-19
- fix: don't ignore signals, use default behavior instead (#63468).

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 25 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.0-16
- include liblockdev.so so that programs can link to a shared liblockdev
- fix shared library version numbers

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 29 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-16
- Rebuilt

* Fri Oct 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0.0-15
- Add copyright/license info to baudboy.h (#54321)

* Tue Sep  4 2001 Jeff Johnson <jbj@redhat.com>
- swap egid and gid for lockdev's access(2) device check (#52029).

* Tue Aug 28 2001 Jeff Johnson <jbj@redhat.com>
- typo in include file (#52704).
- map specific errno's into status for return from helper.

* Tue Aug 14 2001 Jeff Johnson <jbj@redhat.com>
- set exit status correctly.

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- check that we can open the device r/w before locking
- fix calling lockdev without any arguments
- fix waitpid() call in baudboy.h
- use umask(002), not umask(0)

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- add lock group here, own /var/lock as well

* Sun Aug  5 2001 Jeff Johnson <jbj@redhat.com>
- include setgid helper binary and baudboy.h.

* Mon Jun 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make the -devel depend on the main package

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr for -devel

* Sat Jun 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir}

* Thu May 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
